Bug 123438 - [GStreamer] Adopt nullptr
Summary: [GStreamer] Adopt nullptr
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 01:24 PDT by Philippe Normand
Modified: 2017-03-06 02:33 PST (History)
3 users (show)

See Also:


Attachments
Patch (44.41 KB, patch)
2017-02-22 14:09 PST, Vanessa Chipirrás Navalón
no flags Details | Formatted Diff | Diff
Patch (45.89 KB, patch)
2017-02-23 09:58 PST, Vanessa Chipirrás Navalón
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2013-10-29 01:24:11 PDT
All call sites using 0 or NULL should use nullptr. The code style checker gst* exceptions need to be removed as well.
Comment 1 Vanessa Chipirrás Navalón 2017-02-22 14:09:22 PST
Created attachment 302440 [details]
Patch
Comment 2 Xabier Rodríguez Calvar 2017-02-23 02:18:52 PST
Comment on attachment 302440 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=302440&action=review

> Source/WebCore/ChangeLog:10
> +        The per-file and per-function explanations are left blank because the change is very simple,
> +        so there's no need to explain it once per source file.

You don't need this explanation. The first line is enough.

> Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:1180
> +        processTableOfContentsEntry(static_cast<GstTocEntry*>(i->data), nullptr);

The null argument of this function is unused and it does not take part of any API inside WebKit so I'd say we remove it from the calls and from the declaration. Obviously, the UNUSED_PARAM would be useless too.
Comment 3 Vanessa Chipirrás Navalón 2017-02-23 09:58:28 PST
Created attachment 302524 [details]
Patch
Comment 4 WebKit Commit Bot 2017-03-06 02:33:01 PST
Comment on attachment 302524 [details]
Patch

Clearing flags on attachment: 302524

Committed r213445: <http://trac.webkit.org/changeset/213445>
Comment 5 WebKit Commit Bot 2017-03-06 02:33:04 PST
All reviewed patches have been landed.  Closing bug.